Update Tool

View as Markdown
Update a custom tool definition, such as its description, schemas, execution method, enabled state, or metadata. Changes apply to future tool use while existing tool call records remain available.

Authentication

AuthorizationBearer

Use Bearer <api-key>.

Path parameters

idstringRequired
toolIdstringRequired

Request

This endpoint expects an object.
descriptionstring or nullOptional<=2000 characters
enabledbooleanOptional
executionobjectOptional
inputSchemamap from strings to anyOptional
metadatamap from strings to any or nullOptional
namestringOptionalformat: "^[a-z_][a-z0-9_-]*$"1-64 characters
outputSchemamap from strings to anyOptional

Response

Default Response
createdAtstring
descriptionstring or null<=2000 characters
enabledboolean
executionobject
idstringformat: "uuid"
inputSchemamap from strings to any
namestringformat: "^[a-z_][a-z0-9_-]*$"1-64 characters
outputSchemamap from strings to any
spaceIdstringformat: "uuid"
updatedAtstring
metadatamap from strings to any or null